# Uses of Enum Class
javax.validation.ElementKind

Packages that use ElementKind
Package
Description
javax.validation

## Uses of ElementKind in javax.validation

Methods in javax.validation that return ElementKind
Modifier and Type
Method
Description
`ElementKind`
Path.Node.`getKind()`
`static ElementKind`
ElementKind.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ElementKind[]`
ElementKind.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.